import { all, call } from "redux-saga/effects";

import { userSagas } from "./user/user.sagas";
import { messagingSagas } from "./messaging/messaging.sagas";
import { emailSagas } from "./email/email.sagas";
import { modalsSagas } from "./modals/modals.sagas";
export default function* rootSaga() {
  yield all([call(userSagas), call(messagingSagas), call(emailSagas),
  call(modalsSagas)]);
}
